#include <bits/stdc++.h>

using namespace std;

int main() {
    string rec;
    string tekst;
    cin>>tekst>>rec;
    
    vector <int> recNiz (26,0);
    vector <int> tekstNiz (26,0);
    
    for(int i=0; i<rec.length(); i++){
        recNiz[rec[i]-'a']++;
    }
    
    for(int i=0; i<tekst.length(); i++){
        tekstNiz[tekst[i]-'a']++;
    }
    
    char zabranjenoSlovo;
    int najmanjaCenzura=200000;
    for(int i=0; i<26; i++){
        //cout<<recNiz[i]<<" "<<najmanjeSlovo<<endl;
        if(tekstNiz[i]-recNiz[i]<0){
            return 0;
        }
        if(/*tekstNiz[i]-recNiz[i]>=0&&*/tekstNiz[i]-recNiz[i]<najmanjaCenzura&&tekstNiz[i]!=0&&recNiz[i]!=0){
            //cout<<"!"<<recNiz[i]<<" "<<najmanjeSlovo<<endl;
            zabranjenoSlovo=i+'a';
            najmanjaCenzura=tekstNiz[i]-recNiz[i];
            //cout<<"najmanja lok cenzura na "<<i<<"="<<tekstNiz[i]<<"-"<<recNiz[i]<<endl;
        }
    }
    
    cout<<najmanjaCenzura+1<<endl;
    
    //cout<<tekstNiz[zabranjenoSlovo-'a']<<endl;
    
    int brojac=0;
    
    for(int i=0; i<tekst.length(); i++){
        if(tekst[i]==zabranjenoSlovo){
            if(brojac<tekstNiz[zabranjenoSlovo-'a']-najmanjaCenzura-1){
                cout<<tekst[i];
            }else{
                cout<<"*";
            }
            brojac++;
        }else{
            cout<<tekst[i];
        }
    }
    cout<<endl;
    
    /*for(int i=0; i<26; i++){
        cout<<recNiz[i];
    }
    cout<<endl;
    for(int i=0; i<26; i++){
        cout<<tekstNiz[i];
    }*/
    
    //cout<<endl<<nSlovo<<endl;;
    
}